# QTextLength Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QTextLength()
- void QTextLength(Type type, qreal value)

### Constructor Properties

- prototype: The QTextLength prototype object
- VariableLength = 0
- FixedLength
- PercentageLength
- Type( value )

### Prototype Object Properties

- bool operator_equal(QTextLength other)
- qreal rawValue()
- void readFrom(QDataStream arg__1)
- Type type()
- qreal value(qreal maximumLength)
- void writeTo(QDataStream arg__1)

### Instance Properties

QTextLength objects have no special properties beyond those inherited from the QTextLength prototype object.